﻿#if false
using System.Runtime.InteropServices;

namespace Magify
{
    internal partial class MagifyiOS
    {
        [StructLayout(LayoutKind.Sequential)]
        private readonly struct CampaignModel
        {
            public readonly CampaignType Type;
            public readonly string Name;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct InterstitialCampaignModel
        {
            public readonly CampaignType Type;
            public readonly string Name;
            public readonly InterScreenModel SplashScreen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct InterScreenModel
        {
            public readonly SplashscreenType Type;
            public readonly double MinTime;
            public readonly double MaxTime;
            public readonly double ExactTime;
            public readonly double Timeout;
            public readonly bool IsForced;
            public readonly string Attributes;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct SubscriptionCampaignModel
        {
            public readonly CampaignType Type;
            public readonly string Name;
            public readonly string ProductIDs;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct ScreenModel
        {
            public readonly ScreenType Type;
            public readonly string ScreenID;
            public readonly string Attributes;
            public readonly string PortraitUrl;
            public readonly string LandscapeUrl;
            public readonly double ButtonCloseTimeout;
            public readonly string Color;
            public readonly int Opacity;
            public readonly bool BlurBackground;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct InAppCampaignModel
        {
            public readonly CampaignType type;

            public readonly string name;
            public readonly string products;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct BonusCampaignModel
        {
            public readonly CampaignType type;

            public readonly string name;
            public readonly string products;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct MixedCampaignModel
        {
            public readonly CampaignType type;

            public readonly string name;
            public readonly string products;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct RewardedVideoCampaignModel
        {
            public readonly CampaignType type;

            public readonly string name;
            public readonly string products;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct NotificationCampaignModel
        {
            public readonly CampaignType type;
            public readonly string name;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct BannerCampaignModel
        {
            public readonly CampaignType Type;
            public readonly string Name;
            public readonly BannerPosition Position;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct PromoCampaignModel
        {
            public readonly CampaignType Type;
            public readonly string Name;
            public readonly DestinationType DestinationType;
            public readonly string DestinationValue;
            public readonly string ItunesLink;
            public readonly string Schemas;
            public readonly bool OpenStoreInsideApp;
            public readonly string MediationModel;
            public readonly string RawPromoLink;
            public readonly string BundleId;
            public readonly ScreenModel screen;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct ImpressionModel
        {
            public readonly string CampaignName;
            public readonly int ImpressionNumber;
            public readonly int SessionImpressionNumber;
            public readonly int CampaignTypeImpressionNumber;
            public readonly int CampaignTypeSessionImpressionNumber;

            public readonly string EventName;
            public readonly int EventNumber;
            public readonly int SessionEventNumber;

            public readonly string Attributes;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct BadgeCreativeModel
        {
            public readonly string Tag;
            public readonly string Title;
            public readonly string LabelText;
            public readonly string Resource;
            public readonly string Placeholder;
            public readonly bool HasTimer;
            public readonly int LastMinutesTimer;
            public readonly string Attributes;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct LtoInfoModel
        {
            public readonly string CampaignName;
            public readonly string Spot;
            public readonly int StartTime;
            public readonly int EndTime;
            public readonly BadgeCreativeModel BadgeCreativeModel;
        }

        [StructLayout(LayoutKind.Sequential)]
        private readonly struct ContextSyncTimeModel
        {
            public readonly double LocalTimeInterval;
            public readonly double RemoteTimeInterval;
        }
    }
}

#endif